/* Custom container */
@media (min-width: 576px) {
    .container.custom-container {
        max-width: 100%;
    }
}

@media (min-width: 768px) {
    .container.custom-container {
        max-width: 100%;
    }
}

@media (min-width: 992px) {
    .container.custom-container {
        max-width: 992px;
    }
}

@media (min-width: 1200px) {
    .container.custom-container {
        max-width: 1125px;
    }
}

/* @media (min-width: 1400px) {
    .container.custom-container {
        max-width: 1400px;
    }
} */

:root {
    --primary-clr: #B3000D;
    --secondary-clr: #1B8800;
    --background-clr: #FFF2CF;
    --text-clr: #222222;
    --secondary-text-clr: #595959;
    --font-body: 'Montserrat', sans-serif;
    --black: #000;
    --white: #fff;
}

/* Common Styling */
html {
    scroll-behavior: smooth;
}

.form-control:focus,
.form .form-control:focus,
.input-group:focus-within .input-group-text {
    box-shadow: none;
    border-color: var(--primary-clr);
}

.form-check-input:checked {
    box-shadow: none;
    background-color: var(--primary-clr);
    border-color: var(--primary-clr);
}

.form-check-input:focus {
    box-shadow: none;
    border-color: var(--primary-clr);
}

.form .form-control {
    height: 48px;
    border-radius: 12px;
    border-color: #ADADAD;
    font-size: 14px;
}

.form-label {
    font-size: 14px;
    font-weight: 500;
    color: var(--text-clr);
    margin-bottom: 0;
}

.mandatory {
    color: red;
}

a {
    text-decoration: none !important;

    &:hover,
    &:focus {
        color: var(--secondary-clr);
    }
}

.owl-theme .owl-dots .owl-dot span {
    width: 6px;
    height: 6px;
}

.owl-carousel .owl-stage,
.owl-carousel .owl-stage .owl-item {
    display: flex;
}

.owl-carousel .owl-stage-outer {
    padding-bottom: 4px;
}

p {
    font-size: clamp(0.875rem, 0.8343rem + 0.1147vw, 0.9375rem);
    font-weight: 400;
    color: var(--text-clr);
}

.text-primary {
    color: var(--primary-clr) !important;
}

.background-primary {
    background-color: var(--primary-clr);
}

body {
    font-family: var(--font-body);
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    background: url("../images/body-bg.webp");
    background-size: contain;
}

body::-webkit-scrollbar-track,
.offcanvas-body::-webkit-scrollbar-track,
.modal::-webkit-scrollbar-track,
#filterCategoryContainer::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: var(--white);
}

body::-webkit-scrollbar,
.offcanvas-body::-webkit-scrollbar,
.modal::-webkit-scrollbar,
#filterCategoryContainer::-webkit-scrollbar {
    width: 6px;
    background-color: var(--white);
}

body::-webkit-scrollbar-thumb,
.offcanvas-body::-webkit-scrollbar-thumb,
.modal::-webkit-scrollbar-thumb,
#filterCategoryContainer::-webkit-scrollbar-thumb {
    background-color: var(--primary-clr);
}

.btn-close {
    font-size: .7rem;
}

.btn {
    border-radius: 12px;
    padding: 4px 12px;
    border-color: #848484;
    font-size: 14px;
    transition: all .3s linear;
}

.btn:focus {
    box-shadow: none !important;
}

.btn.btn-primary {
    background-color: var(--primary-clr);
    border-color: var(--primary-clr);
    transition: all .3s linear;
}

.btn.btn-outline-primary {
    border-color: var(--primary-clr);
    color: var(--primary-clr);
    transition: all .3s linear;
}

.btn.btn-outline-primary:hover,
.btn.btn-outline-primary:focus,
.btn-check:checked+.btn-outline-primary {
    background-color: var(--primary-clr);
    border-color: var(--primary-clr);
    color: var(--white);
    box-shadow: none;
}

.btn.btn-outline-primary:focus * {
    color: var(--white);
}

.btn.btn-outline-primary:hover>i,
.btn.btn-outline-primary:hover>h6 {
    color: var(--white);
}

.mini-btn {
    font-size: 12px;
    color: var(--secondary-clr);
    cursor: pointer;
}

.mini-btn.active {
    color: var(--primary-clr);
}

.button-loading {
    margin: auto;
    width: 20px;
    display: block;
}

.fs-15 {
    font-size: 15px !important;
}

.fs-14 {
    font-size: 14px !important;
}

.fs-12 {
    font-size: 12px !important;
}

.fs-10 {
    font-size: 10px !important;
}

.border-radius-12 {
    border-radius: 12px !important;
}

.cursor-pointer {
    cursor: pointer;
}

.box-shadow {
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 12%) !important;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

#date-picker-wrapper .datepicker {
    top: 80px !important;
    width: 100%;
    left: 0 !important;
    box-shadow: 0px 0px 4px 0px lightgray;
    font-size: 14px;
}

#date-picker-wrapper i {
    position: absolute;
    top: 50%;
    right: 25px;
    pointer-events: none;
    color: var(--secondary-text-clr);
}

#date-picker-wrapper .table-condensed {
    width: 100%;
}

#date-picker-wrapper .datepicker td,
#date-picker-wrapper .datepicker th {
    padding: 5px;
}

/* Shimmer loader */

.skeleton {
    background: #e2e2e2;
    background-image: linear-gradient(90deg,
            #e2e2e2 0px,
            #f5f5f5 40px,
            #e2e2e2 80px);
    background-size: 600px;
    background-repeat: no-repeat;
    display: inline-block;
    position: relative;
    animation: shimmer 1.5s infinite linear;
    border-radius: 6px;
}

@keyframes shimmer {
    0% {
        background-position: -600px 0;
    }

    100% {
        background-position: 600px 0;
    }
}



/* Hero Section */
.hero-load {
    height: 250px;
    width: 100%;
    margin-bottom: 20px;
}

/* About Section */
.about-load {
    height: 120px;
    width: 100%;
    margin-bottom: 30px;
}

/* Featured Products */
.products-load {
    display: flex;
    gap: 15px;
    margin-bottom: 30px;
}

.product-card-load {
    flex: 1;
    height: 180px;
    width: 240px;
}

/* Categories */
.categories-load {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}

.category-load {
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

/* Hide real content until loaded */
#content {
    /* display: none; */
    margin-top: 130px;
}

@media(max-width:568px) {
    #content {
        margin-top: 150px;
    }
}


/* Shimmer loader end */

/* Header styling */

header .header-sub-section a,
header .header-sub-section i {
    font-size: 14px;
    color: #848484;
    font-weight: 500;
}

.navbar-brand img {
    height: 50px;
}

.search-bar .input-group {
    height: 48px;
    width: 300px;
}

.search-bar input {
    border-left: none;
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
    font-size: 12px;
    padding-left: 0;
    box-shadow: none;
    border-color: #ADADAD;
}

.search-bar .input-group-text {
    background-color: transparent;
    border-right: none;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
    color: #646464;
    border-color: #ADADAD;
}

.search-bar .input-group.filter-search {
    --search-height: 31px;
    height: var(--search-height);
}

.search-bar .input-group.filter-search .input-group-text {
    border-right: 1px solid #ADADAD;
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
    height: var(--search-height);
}

.search-bar .input-group.filter-search input {
    border-left: 1px solid #ADADAD;
    padding-left: 5px;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
    height: var(--search-height);
}

.search-bar .input-group.filter-search input:focus,
.search-bar .input-group.filter-search input:focus-within {
    border-left: 1px solid var(--primary-clr);
    border-right: 1px solid var(--primary-clr);

}

.header-cta-group {
    gap: 27px;
}

.header-cta-group h6 {
    font-size: 14px;
    color: var(--black);
    font-weight: 500;
}

.header-cta-group i {
    color: var(--black);
    font-size: 18px;
}

.carousel-banner {
    border-radius: 38px;
    overflow: hidden;
}

.carousel-product-inner {
    border-radius: 14px;
    overflow: hidden;
    position: relative;
}
.carousel-product-inner .offer-badge {
    position: absolute;
    top: 10px;
    right: 0;
    text-align: right;
    font-size: 14px;
    background: var(--primary-clr);
    padding: 1px 4px;
    border-radius: 5px 0 0 5px;
    font-weight: 600;
    color: var(--white);
}

.carousel-product-inner .offer-badge span {
    font-size: 12px;
}

.carousel-banner img {
    /* max-height: 450px; */
    max-height: 400px;
    height: 100%;
    aspect-ratio: 51/20;
}

.carousel-product-inner img {
    /* max-height: 200px; */
    height: 100%;
    object-fit: cover;
    /* aspect-ratio: 2/1; */
    aspect-ratio: 3/2;
}

@media(max-width:568px) {
    .brand-group {
        flex-direction: column;
    }

    .brand-group img {
        height: 40px;
    }

    .brand-group .search-bar .input-group {
        height: 30px;
    }

    .carousel-banner {
        border-radius: 18px;
    }

    .carousel-product-inner {
        border-radius: 10px;
    }
}

@media(max-width:992px) {
    .header-cta-group {
        position: fixed;
        width: 100%;
        background: var(--white);
        bottom: 0;
        left: 0;
        justify-content: space-around;
        padding: 10px 0;
        box-shadow: 0 -.125rem .25rem rgba(0, 0, 0, .075) !important;
    }

    .header-cta-group .btn.btn-outline-primary {
        border-color: transparent;
        background-color: transparent !important;
        color: var(--black) !important;
    }

    .header-cta-group .btn.btn-outline-primary:hover i,
    .header-cta-group .btn.btn-outline-primary:hover h6 {
        color: var(--black) !important;
    }

    .header-cta-group .btn.btn-outline-primary:focus i,
    .header-cta-group .btn.btn-outline-primary:focus h6 {
        color: var(--black) !important;
    }

    .brand-group {
        width: 100%;
        justify-content: space-between;
    }
}

/* About section */
.sub-title-group p {
    font-size: clamp(0.875rem, 0.5893rem + 0.5952vw, 1.125rem);
    font-weight: 500;
    color: #5C5C5C;
}

.main-title {
    color: var(--black);
    font-family: "Roboto Condensed", sans-serif;
    font-size: clamp(1.25rem, -0.1786rem + 2.9762vw, 2.5rem);
    font-weight: 500;
}

.about-ck-editor {
    display: -webkit-box;
    -webkit-line-clamp: 8;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* section title */
.section-title {
    font-size: clamp(1.125rem, 0.6964rem + 0.8929vw, 1.5rem);
    font-weight: 600;
    margin: 0;
}

.view-link {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    color: var(--primary-clr);
    cursor: pointer;
}

/* Product card */
.product-card {
    width: 240px;
    border-radius: 24px;
    height: 100%;
}

.product-card.product-ofs .product-img *,
.product-card.product-ofs .product-info * {
    filter: grayscale(1);
}

.product-card.product-ofs .product-img:has(.badge) .badge {
    filter: grayscale(0);
    z-index: 1;
}

.product-card .card-body {
    padding: 12px;
}

.product-card .product-img img {
    width: 100%;
    /* aspect-ratio: 2/1; */
    aspect-ratio: 3/2;
    object-fit: cover;
    border-radius: 1rem;
    margin-bottom: 5px;
}

.product-card .product-img .offer-badge {
    position: absolute;
    top: 10px;
    right: 0;
    text-align: right;
    font-size: 12px;
    background: var(--primary-clr);
    padding: 1px 4px;
    border-radius: 5px 0 0 5px;
    font-weight: 600;
    color: var(--white);
}

.product-card .product-img .offer-badge span {
    font-size: 10px;
}

.product-card:not(.product-card-cart) .product-info {
    display: flex;
    flex-direction: column;
    height: 86px;
}

.product-card .product-info h6 {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    font-weight: 600;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product-card .product-info p {
    font-size: 12px;
    margin: 0;
    color: var(--secondary-text-clr);
    font-weight: 500;
}

.product-card .product-info .price-wrapper,
.inner-product-wrapper .price-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
}

.product-card .product-info .price-wrapper .price-info,
.inner-product-wrapper .price-wrapper .price-info {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    font-weight: 500;
    color: var(--black);
    margin-bottom: 0;
}

.product-card .product-info .price-wrapper .og-price,
.inner-product-wrapper .price-wrapper .og-price {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    font-weight: 500;
    color: #696969;
    text-decoration: line-through;
}

/* .product-card .add-counter .counter {
    display: none;
    align-items: center;
    gap: 8px;
    margin-top: 15px;
    justify-content: center;
} */
.product-card .add-counter .add-btn,
.inner-product-wrapper .add-counter .add-btn {
    background-color: var(--secondary-clr);
    padding: 1px 14px;
    border-radius: 8px;
    font-size: 13px;
    color: var(--white);
}

.product-card .add-counter .counter,
.inner-product-wrapper .add-counter .counter {
    display: none;
    align-items: center;
    width: fit-content;
    border: 1px solid #d4d4d4;
    border-radius: 8px;
}

.product-card .add-counter .counter .decrease,
.product-card .add-counter .counter .increase,
.inner-product-wrapper .add-counter .counter .decrease,
.inner-product-wrapper .add-counter .counter .increase {
    border: none;
    border-radius: 0;
    color: var(--primary-clr);
    font-weight: 600;
    padding: 1px 7px;
}

.product-card .add-counter .counter .count-input,
.inner-product-wrapper .add-counter .counter .count-input {
    width: 30px;
    padding: 0;
    text-align: center;
    border: none;
    pointer-events: none;
    font-size: 14px;
    color: var(--primary-clr);
}

.product-card .add-counter .counter .spinner-border,
.inner-product-wrapper .add-counter .counter .spinner-border {
    width: 12px;
    height: 12px;
    border-width: 1px;
}

.product-card .add-counter .counter .spinner-wrapper,
.inner-product-wrapper .add-counter .counter .spinner-wrapper {
    display: none;
    align-items: center;
    justify-content: center;
    border-radius: 6px;
    background: #fff;
    min-width: 30px;
    text-align: center;
}

.product-carousel.owl-carousel .owl-nav {
    position: absolute;
    display: flex;
    justify-content: space-between;
    width: 100%;
    top: 35%;
    border-radius: 50px;
}

.product-carousel .owl-nav .owl-next {
    position: relative;
    left: 4%;
}

.product-carousel .owl-nav .owl-prev {
    position: relative;
    right: 4%;
}

.product-carousel .owl-dots {
    margin-top: 10px;
}

@media(max-width:768px) {
    .product-card {
        border-radius: 1rem;
    }

    .product-card .product-img img {
        border-radius: .5rem;
    }
}

/* Product card in cart */
.product-card.product-card-cart {
    width: 100%;
    border-radius: 8px;
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 12%);

}

.product-card.product-card-cart .product-img {
    width: auto;
    flex: 0 1 auto;
    height: 60px;
}

.product-card.product-card-cart .product-img img {
    width: 100%;
    height: 100%;
    /* aspect-ratio: 1; */
    aspect-ratio: 3/2;
    object-fit: contain;
    margin-bottom: 0;
    border-radius: 5px;
}

.product-card.product-card-cart .product-img .offer-badge {
    font-weight: 500;
    top: 5px;
    font-size: 10px;
    right: 1px;
}

.product-card.product-card-cart .product-img .offer-badge span {
    font-size: 7px;
}

.product-card.product-card-cart .product-info h6 {
    font-size: 12px;
    margin-bottom: 0;
}

.product-card.product-card-cart .product-info p {
    font-size: 10px;
}

.product-card.product-card-cart .product-info .price-wrapper .price-info {
    font-size: 12px;
    color: var(--primary-clr);
}

.product-card.product-card-cart .product-info .price-wrapper .og-price {
    font-size: 12px;
}

.product-card.product-card-cart .add-counter .add-btn {
    font-size: 12px;
    border-radius: 4px;
}

.fade-out {
    opacity: 0;
    transform: scale(0.95);
    transition: opacity 0.4s ease, transform 0.4s ease;
}

/* Product suggestion card */
.product-card.suggestion-card {
    width: 200px;
    border-radius: 1rem;
}

.product-card.suggestion-card .card-body {
    padding: 8px;
}

.product-card.suggestion-card .product-img img {
    border-radius: .5rem;
}

.product-card.suggestion-card .product-info h6 {
    font-size: 13px;
    margin: 0;
}

.product-card.suggestion-card .product-info p {
    font-size: 11px;
}

.product-card.suggestion-card .product-info .price-wrapper .price-info,
.product-card.suggestion-card .product-info .price-wrapper .og-price {
    font-size: 13px;
}

/* Category */
.category-card {
    width: 150px;
    text-align: center;
}

.category-card .cat-img {
    width: 150px;
    height: 150px;
    margin-bottom: 5px;
    border-radius: 50%;
}

.category-card h6 {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    color: var(--text-clr);
    font-weight: 500;
}

.category-card .cat-img img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transform: scale(1);
    transition: all .2s linear;
}

.category-card:hover .cat-img img {
    transform: scale(1.1);
}

/* Testimonal card */
.feedback-card {
    width: 380px;
    border-radius: 24px;
    border: 1px solid #EBEBEB;
    background: #FFFBFB;
    height: 100%;
}

.feedback-card i {
    font-size: 1.5rem;
}

.feedback-card .user-info-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.feedback-card .user-info-wrapper .user-info img {
    border: 1px solid #8B8B8B;
    object-fit: cover;
    object-position: top;
}

.feedback-card .user-info-wrapper .user-info p {
    font-size: 12px;
}

.feedback-card .rating {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 5px;
}

.feedback-card .rating i {
    font-size: 1rem;
    color: #FCCB06;
}

/* subcription section */
.subcribe-section .image-block .image-content {
    background-color: var(--primary-clr);
    padding: 10px;
    max-height: 160px;
    border-radius: 10px 10px 0 0;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.subcribe-section .image-block .image-content img {
    width: 80px;
    transform: translate(70px, 30px);
}

.subcribe-section .image-block .image-content p {
    color: var(--white);
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 4px;
    font-size: 14px;
}

.subcribe-section .image-block .image-content h6 {
    color: var(--white);
    text-transform: uppercase;
    font-weight: 800;
    letter-spacing: 4px;
    font-size: clamp(1.25rem, 0.6786rem + 1.1905vw, 1.75rem);
}

.subcribe-section .plan-card {
    box-shadow: 0px 0px 4px 0px #0000002E;
    border-radius: 10px;
    border: none;
}

.subcribe-section .plan-card .plan-title {
    font-family: "Roboto Condensed", sans-serif;
    font-size: clamp(1.25rem, 0.6786rem + 1.1905vw, 1.75rem);
    font-weight: 800;
    letter-spacing: 4px;
    color: var(--text-clr);
}

.subcribe-section .plan-card .plan-title span {
    color: #262626;
    margin-right: 10px;
    opacity: .5;
}

/* Floating Object */
.subcribe-section {
    position: relative;
    width: 100%;
    overflow: hidden;
    cursor: none;
}

.floating {
    position: absolute;
    /* width: 40px;
      height: 40px; */
    background: var(--white);
    border: 1px solid var(--primary-clr);
    /* border-radius: 50%; */
    pointer-events: auto;
    transform: translate(-50%, -50%);
    transition: transform 0.08s linear;
    z-index: 1;
    cursor: none;
    color: var(--primary-clr) !important;
    padding: 10px;
    font-family: "Roboto Condensed", sans-serif;
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    font-weight: 800;
    letter-spacing: 4px;
    border-radius: 10px;
    text-align: center;
}

.floating span {
    display: block;
    font-size: 12px;
    letter-spacing: normal;

}

/* Footer section */
.footer-bottom {
    background-color: var(--background-clr);
}

.footer-message ul li img {
    object-fit: contain;
}

.footer-message .prime-points label {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    font-weight: 600;
}

.footer-message .prime-points span {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
}

.footer-content h6 {
    font-size: 14px;
    font-weight: 600;
}

.footer-content p {
    font-size: 14px;
}

.footer-content a {
    color: var(--black);
    font-size: 14px;
}

@media (max-width:992px) {
    .footer-bottom {
        padding-bottom: 60px;
        /* padding-bottom: calc(60px + 82px); */
    }
}

/* Modal */
.custom-modal .modal-content {
    border-radius: 1rem;
    border: none;
    padding: 1rem;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    min-height: 280px;
}

.custom-modal .modal-content .title,
.offcanvas-end .title,
.offcanvas-start .title,
.content-card .title {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    font-weight: 600;
}

.custom-loader {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: var(--primary-clr);
    -webkit-mask: radial-gradient(circle closest-side at 50% 40%, #0000 94%, #000);
    transform-origin: 50% 40%;
    animation: s5 1s infinite linear;
}

@keyframes s5 {
    100% {
        transform: rotate(1turn)
    }
}

/* Login */
.custom-number-input {
    display: flex;
    align-items: center;

}

.custom-number-input .country-code {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-right: none;
    width: 50px;
    text-align: center;
}

.custom-number-input .number {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;

}

.custom-number-input .number:read-only {
    background-color: var(--white);
}

.iti__flag {
    background-image: url("../images/flags.png");
}

.iti {
    width: 100%;
}

.iti * {
    font-size: 14px;
}

.iti--separate-dial-code .iti__selected-flag {
    background-color: transparent;
}

/* .iti__country{
    flex-wrap: wrap;
} */
/* .iti__flag-container {
    right: auto !important;
    left: unset !important;
} */
/* .iti-mobile .iti--container {
    max-width: 400px;
    top: 243px;
    bottom: 10px;
}

.iti-mobile .iti__country-list {
    width: auto;
} */

@media (-webkit-min-device-pixel-ratio: 2),
(min-resolution: 192dpi) {
    .iti__flag {
        background-image: url("../images/flags@2x.png");
    }
}

/* otp verfication */
.form-verify {
    display: flex;
    align-items: stretch;
    justify-content: center;
}

.form-verify input {
    font-size: 18px;
    color: var(--primary-text-clr);
    line-height: normal;
    font-weight: 500;
    /* border: solid 1px #FFE5E5; */
    /* border-radius: 1px; */
    margin-right: 5px !important;
    width: 48px;
    height: 48px;
    text-align: center;
}


.timer {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: .5rem;
}

.timer span {
    font-weight: 600;
    color: var(--primary-text-clr);
}

#resend-btn a {
    font-size: 14px;
    color: #707070;
}

#resend-btn a span {
    color: var(--primary-clr);
}

.spinner-border-xs {
    width: 1rem;
    height: 1rem;
    border: .18em solid currentColor;
    border-right-color: transparent;
}

/* Location  */
.location-list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px;
}

.location-list li a {
    font-size: 12px;
    color: var(--text-clr);
    border-radius: 5px;
    border: 1px solid #D4D4D4;
    padding: 4px;
    transition: all .3s linear;

    &:hover {
        color: var(--white);
        background-color: var(--primary-clr);
        border-color: var(--primary-clr);
    }

    &:hover i {
        color: var(--white);
    }
}

.location-list li a i {
    color: #787878;
    transition: all .3s linear;
}

.address-list .address-block {
    background-color: var(--background-clr);
    border-radius: 12px;
    padding: 10px;
}

.address-list .address-block h6 {
    font-size: 14px;
    font-weight: 600;
    color: var(--text-clr);
    margin-bottom: 0;
}

.address-list .address-block p {
    font-size: 12px;
    color: var(--secondary-text-clr);
    margin-bottom: 0;
}

.address-list .address-block .btn-group>.btn {
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
}

/* Custom delete for address */
.address-list .address-block .dots-toggle {
    background: none;
    border: 1.5px solid #ddd;
    border-radius: 8px;
    width: 34px;
    height: 34px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    flex-shrink: 0;
    transition: background 0.2s, border-color 0.2s;
}

.address-list .address-block .dots-toggle:hover {
    background: #f5ede4;
    border-color: #c9bfb2;
}

.address-list .address-block .dots-toggle.active {
    background: var(--primary-clr);
    border-color: #c9bfb2;
}
.address-list .address-block .dots-toggle i{
    color: var(--primary-clr);
}
.address-list .address-block .dots-toggle.active i{
    color: var(--white);
}

.address-list .address-block .dots-inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3px;
}


.address-list .address-block .delete-reveal {
    display: none;
    width: 100%;
}

.address-list .address-block .delete-full-btn {
    width: 100%;
    background: var(--primary-clr);
    color: var(--white);
    border: none;
    padding: 11px;
    font-size: 12px;
    font-weight: 500;
    letter-spacing: 0.3px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    border-radius: 0 0 10px 10px;
    transition: background 0.2s;
}

.address-list .address-block .delete-full-btn:hover {
    background: #a93226;
}

/* Cart */
.points-wrapper,
.summary-wrapper,
.location-wrapper {
    width: 100%;
    border-radius: 12px;
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 12%);
}


.summary-list-block {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 5px 0;
}

.summary-list-block .label-text {
    font-size: 12px;
    color: var(--secondary-text-clr);
    font-weight: 500;
}

.summary-list-block .label-text a {
    color: var(--primary-clr);
}

.summary-list-block .value-text {
    color: var(--black);
    font-size: 12px;
    font-weight: 500;
}

.summary-list-block .badge-value {
    color: var(--secondary-clr);
    font-size: 12px;
}

.loyalty-details h6 {
    font-size: clamp(1rem, 0.8571rem + 0.2976vw, 1.125rem);
    color: var(--text-clr);
    font-weight: 600;
}

/* BreadCrumb */
.breadcrumb .breadcrumb-item {
    font-size: 12px;
}

.breadcrumb .breadcrumb-item a {
    color: var(--primary-clr);
}

/* Product details */
.inner-product-wrapper .title {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    font-weight: 600;
}

.inner-product-wrapper .slot {
    font-size: 12px;
}

.inner-product-wrapper .slot span {
    font-weight: 600;
    color: var(--secondary-text-clr);
}

.inner-product-wrapper .spec-wrapper {
    display: flex;
    justify-content: space-between;
    border: 1px solid #E9E9E9;
    border-radius: 12px;
    padding: 5px 10px;
    font-size: 12px;
    font-weight: 500;
    color: var(--primary-text-clr);
    background-color: #FFE4E4;
    width: fit-content;
}

/* .inner-product-wrapper .description-text {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    transition: all 0.3s ease;
} */

.inner-product-wrapper .description-container .readmore-btn {
    font-size: 14px;
    color: var(--primary-clr);
    cursor: pointer;
}

.inner-product-wrapper .description-text.ck-content * {
    font-family: var(--font-body);
    font-size: 14px;
    color: var(--secondary-text-clr);
    margin-bottom: .25rem;
}

.inner-product-wrapper .description-text.expanded {
    -webkit-line-clamp: unset;
}

/* Product List */
.product-list-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
    gap: 1rem;
    justify-content: center;
}

.sub-section-head .product-count {
    font-size: 14px;
    font-weight: 500;
}

.filter-apply-count {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: var(--primary-clr);
    font-size: 12px;
    color: var(--white);
}

.list-group {
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: 12px;
}

.list-group .list-group-item {
    border: none;
    padding: .25rem .5rem;
    font-size: 14px;
    color: var(--secondary-text-clr);
}

/* Account */

.fab-menu {
    position: fixed;
    width: 50px;
    height: 50px;
    align-content: center;
    border-radius: 50%;
    bottom: 70px;
    right: 20px;
    z-index: 1;
    font-size: 18px;
}

.account-sidebar {
    visibility: visible;
    transform: none;
    position: relative;
    width: 100%;
    z-index: unset;
    border-right-color: transparent;
    background: transparent;
}

.account-sidebar .offcanvas-header {
    display: none;
}

@media(max-width:768px) {
    .account-sidebar {
        visibility: hidden;
        transform: translateX(-100%);
        position: fixed;
        width: 400px;
        z-index: 1045;
        border-right-color: rgba(0, 0, 0, .125);
        background: var(--white);
    }

    .account-sidebar.show {
        z-index: 1045;
    }

    .account-sidebar .offcanvas-header {
        display: flex;
    }
}

.profile-card,
.plan-container {
    height: 100%;
}

.profile-card .user-name,
.plan-container .title {
    font-size: clamp(0.875rem, 0.7321rem + 0.2976vw, 1rem);
    font-weight: 500;
    color: var(--text-clr);
}

.profile-card p {
    margin: 0;
    font-size: 12px;
    color: var(--secondary-text-clr);
}

.profile-card .profile-img img {
    border-radius: 50%;
    object-fit: cover;
    aspect-ratio: 1/1;
    object-position: top;
}

/* Profile Edit */
.profile-img-edit {
    height: 100px;
    width: 100px;
    margin-inline: auto;
    position: relative;
}

.profile-img-edit img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 50%;
    border: 2px solid #A3A3A3;
}

.profile-img-edit .profile-edit {
    position: absolute;
    overflow: hidden;
    cursor: pointer;
    text-align: revert;
    margin: 0 auto;
    height: 20px;
    width: 20px;
    display: flex;
    bottom: 10px;
    border-radius: 1000px;
    background-color: var(--primary-clr);
    align-items: center;
    justify-content: center;
    top: 5%;
    right: 5px;
}

.profile-img-edit .profile-edit i {
    color: var(--white);
    font-size: 10px;
}

.profile-img-edit .profile-edit input {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    cursor: pointer;
    text-align: center;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    opacity: 0;
}

.plan-container .plan-card {
    background-color: var(--background-clr);
    border-radius: 12px;

}

.plan-container {
    background-color: var(--background-clr);
}

.plan-container .current-plan h6 span {
    font-size: 10px;
    font-weight: 500;
    vertical-align: middle;
    background: var(--secondary-clr);
}

.plan-container .plan-info h6 {
    font-weight: 600;
    margin-bottom: 0;
}

.plan-container .plan-info p {
    margin: 0;
    font-size: 12px;
    color: var(--secondary-text-clr);
}

.menu-list li {
    margin-bottom: 1rem;

}

.menu-list li:last-child {
    margin-bottom: 0;
}

.menu-list li:has(.active-dot.active) {
    background-color: var(--white);
    padding: 5px;
    border-radius: 12px;
    border: 1px solid rgba(0, 0, 0, .125);
}

.menu-list .menu-content {
    display: flex;
    gap: 10px;
    align-items: center;
}

.menu-list .menu-content h6 {
    margin: 0;
    font-size: 14px;
    color: var(--text-clr);
    font-weight: 500;
}

.menu-list .menu-content label {
    margin: 0;
    font-size: 12px;
    color: var(--secondary-text-clr);
}

.menu-list .active-dot {
    width: 8px;
    height: 8px;
    background-color: transparent;
    border-radius: 50%;
    transform: scale(0);
    opacity: 0;
    transition: all .2s linear;
}

.menu-list .active-dot.active {
    width: 8px;
    height: 8px;
    background-color: var(--primary-clr);
    border-radius: 50%;
    transform: scale(1);
    opacity: 1;
    transition: all .2s linear;
}

.content-card {
    min-height: 223px;
}

.content-card .loyalty-details h5 {
    font-size: clamp(1.25rem, 1.0872rem + 0.4587vw, 1.5rem);
    font-weight: 700;
    margin-bottom: 0;
    color: var(--text-clr);
}

.content-card .loyalty-details p {
    font-size: 14px;
    color: var(--secondary-text-clr);
}

/* Subscription Order */
.day-selector {
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
    justify-content: space-between;
    margin-top: 10px;
}

.day-selector input {
    display: none;
}

.day-selector label {
    width: 40px;
    height: 40px;
    align-content: center;
    text-align: center;
    background-color: var(--white);
    color: var(--text-clr);
    font-size: 14px;
    border-radius: 4px;
    border: 1px solid #ADADAD;
    cursor: pointer;
}

.day-selector input:checked+label,
.day-selector label:hover {
    background-color: var(--primary-clr);
    color: var(--white);
}

/* Orders */
.order-card .oid,
.order-card .status,
.notification-content h6 {
    font-size: clamp(0.75rem, 0.6686rem + 0.2294vw, 0.875rem);
    font-weight: 600;
    margin: 0;
    color: var(--text-clr);
}

.order-card .status.confirm {
    color: #2DA80F;
}

.order-card .status.cancel {
    color: #E00C1B;
}

.order-card .summary {
    font-size: 12px;
    margin: 0;
    color: #595959;
    font-weight: 600;
}

.order-card .stamp,
.notification-content span {
    font-size: 12px;
    margin: 0;
    color: var(--secondary-text-clr);
}

.order-delivery .sub-title,
.notification-content p {
    font-size: 12px;
    font-weight: 600;
    color: var(--secondary-text-clr);
    margin-bottom: 0;
}

.order-delivery .details-wrapper {
    border: 1px solid #D4D4D4;
    border-radius: 5px;
    padding: 5px;
}

/* Addresses */
.dropdown-toggle::after {
    display: none;
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: var(--primary-clr);
}

/* Notification */
.nav-pills .nav-link {
    border: 1px solid var(--secondary-text-clr);
    color: var(--secondary-text-clr);
}

.nav-pills .nav-link.active {
    border-color: var(--primary-clr);
    background-color: var(--primary-clr);

}

.notification-content.read .card {
    background-color: #f0f0f0;

}

/* Rating */

/* Star rating styling */
.star-rate {
    position: relative;
    text-align: center;
}

/* Ratings widget */
.star-rate .rate {
    display: inline-block;
    border: 0;
}

.star-rate

/* Hide radio */
.rate>input {
    display: none;
}

.star-rate

/* Order correctly by floating highest to the right */
.rate>label {
    float: right;
    color: #bababa;
}

/* The star of the show */
.star-rate .rate>label:before {
    display: inline-block;
    /* font-size: 2rem; */
    font-size: clamp(1.5rem, 1.3519rem + 0.7407vw, 2rem);
    padding: .3rem .5rem;
    margin: 0;
    cursor: pointer;
    font-family: FontAwesome;
    content: "\f005 ";
    /* full star */
}

/* Half star trick */
.star-rate .rate .half:before {
    content: "\f089 ";
    /* half star no outline */
    position: absolute;
    padding-right: 0;
}

/* Click + hover color */
.star-rate .rate input:checked~label,
/* color current and previous stars on checked */
.star-rate .rate label:hover,
.star-rate .rate label:hover~label {
    color: #F9CD0C;
}

/* color previous stars on hover */
/* Hover highlights */
.star-rate .rate input:checked+label:hover,
.star-rate .rate input:checked~label:hover,
/* highlight current and previous stars */
.star-rate .rate input:checked~label:hover~label,
/* highlight previous selected stars for new rating */
.star-rate .rate label:hover~input:checked~label

/* highlight previous selected stars */
    {
    color: #F9CD0C;
}

/* Discount Coupons */
.seperator {
    width: 100%;
    ;
    text-align: center;
    font-size: 12px;
    margin: .8rem 0;
    position: relative;
}

.seperator::before {
    content: '';
    position: absolute;
    width: 100px;
    height: 1px;
    left: 25%;
    top: 50%;
    background: lightgray;
}

.seperator::after {
    content: '';
    position: absolute;
    width: 100px;
    height: 1px;
    right: 25%;
    top: 50%;
    background: lightgray;
}

.coupon-input-wrapper {
    position: relative;
}

.coupon-input-wrapper .apply-btn {
    position: absolute;
    right: 2px;
    top: 5px;
    padding: 10px;
    border-radius: 10px;
    background: var(--white);
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
    color: #0043FF;
}

.coupon-wrapper.points-wrapper {
    background: linear-gradient(90deg, #FFE900 0%, #FFFFFF 100%);
}

.coupon-wrapper .apply-btn {
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
    color: #0043FF;
}

.coupon-wrapper.expried-coupon {
    filter: grayscale(1);
    background-color: #e6e6e6;
}

/* Payment response */
.payment-response-wrapper .payment-status i {
    font-size: 50px;
}

.payment-response-wrapper .payment-status.success i {
    color: var(--secondary-clr);
    text-shadow: 0 0 8px var(--secondary-clr);
    animation: pulseTextShadow 2.5s linear infinite;
}

.payment-response-wrapper .payment-status.failed i {
    color: var(--primary-clr);
    text-shadow: 0 0 8px var(--primary-clr);
    animation: pulseTextShadowFail 2.5s linear infinite;
}

@keyframes pulseTextShadow {
    0% {
        text-shadow: 0 0 50px var(--secondary-clr);
    }

    50% {
        text-shadow: 0 0 100px var(--secondary-clr);
    }

    100% {
        text-shadow: 0 0 50px var(--secondary-clr);
    }
}

@keyframes pulseTextShadowFail {
    0% {
        text-shadow: 0 0 50px var(--primary-clr);
    }

    50% {
        text-shadow: 0 0 100px var(--primary-clr);
    }

    100% {
        text-shadow: 0 0 50px var(--primary-clr);
    }
}